spring:
 application:
  name: report
 http:
  encoding:
   force: true
  multipart:
   enabled: true
   max-file-size: 128MB
   max-request-size: 128MB
 jpa:
  database: ORACLE
  show-sql: false
  properties:
   hibernate:
    dialect: org.hibernate.dialect.Oracle10gDialect
    
security:
 basic:
  enabled: true
  path: /console, /file/delete, /schedule/**, /druid/*
 user:
  name: admin
  password: select111***
  role: ADMIN
 ignored: false
  
schedule:
 period: 3600000
 auto-start: true
 
max-record-size:
 pc: 100000
 phone: 10000

use-xlsx: false

page:
 preview:
  # support PDF, XLS, XLS_DATA, XLSX, XLSX_DATA, DOC, TXT in com.uas.report.model.ExportType
  show-export-buttons: PDF, XLS, XLS_DATA

extract-jars: report-common, jasperreports, fastjson